/[jscoverage]/trunk/tests/server-unreadable-file.sh
ViewVC logotype

Annotation of /trunk/tests/server-unreadable-file.sh

Parent Directory Parent Directory | Revision Log Revision Log


Revision 130 - (hide annotations)
Tue Jun 3 02:41:23 2008 UTC (11 years, 3 months ago) by siliconforks
File MIME type: application/x-sh
File size: 1539 byte(s)
Don't use `function' keyword.

1 siliconforks 114 #!/bin/sh
2     # server-unreadable-file.sh - test jscoverage-server with unreadable file
3     # Copyright (C) 2008 siliconforks.com
4     #
5     # This program is free software; you can redistribute it and/or modify
6     # it under the terms of the GNU General Public License as published by
7     # the Free Software Foundation; either version 2 of the License, or
8     # (at your option) any later version.
9     #
10     # This program is distributed in the hope that it will be useful,
11     # but WITHOUT ANY WARRANTY; without even the implied warranty of
12     # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
13     # GNU General Public License for more details.
14     #
15     # You should have received a copy of the GNU General Public License along
16     # with this program; if not, write to the Free Software Foundation, Inc.,
17     # 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
18    
19     set -e
20    
21 siliconforks 122 # skip on windows
22     uname=`uname`
23     case "$uname" in
24     CYGWIN* | MINGW*)
25     exit 77
26     ;;
27     esac
28    
29 siliconforks 130 shutdown() {
30 siliconforks 114 wget -q -O- --post-data= "http://127.0.0.1:${server_port}/jscoverage-shutdown" > /dev/null
31     wait $server_pid
32     }
33    
34 siliconforks 130 cleanup() {
35 siliconforks 114 rm -fr DIR
36     shutdown
37     }
38    
39     trap 'cleanup' 0 1 2 3 15
40    
41     export PATH=.:..:$PATH
42    
43     if [ -z "$VALGRIND" ]
44     then
45     delay=0.2
46     else
47     delay=2
48     fi
49    
50     rm -fr DIR
51     mkdir DIR
52     echo Hello > DIR/index.html
53     chmod 000 DIR/index.html
54     $VALGRIND jscoverage-server > OUT 2> ERR &
55     server_pid=$!
56     server_port=8080
57    
58     sleep $delay
59    
60     echo 404 > EXPECTED
61     ! curl -f -w '%{http_code}\n' http://127.0.0.1:8080/DIR/index.html 2> /dev/null > ACTUAL
62     diff EXPECTED ACTUAL

Properties

Name Value
svn:executable *

  ViewVC Help
Powered by ViewVC 1.1.24